define(function (require) {
	/*Define require deps*/
  var $ = require('af'),
    ui = require('ui'),
    Handlebars = require('handlebars');

	var CONFIG = {
		shareItemMsg: 'Mira esta convenio: ',
		shareServiceMsg: 'Mira este servicio: ',
		// server: 'http://repositorio.imaginamos.com.co/JPS/colsubsidio/server/public/api/',
		// assets: 'http://repositorio.imaginamos.com.co/JPS/colsubsidio/server/public/'
		// server: 'http://192.237.180.31/colsubsidio/public/api/',
		// assets: 'http://192.237.180.31/colsubsidio/public/'
		// server: 'http://67.207.158.222/public/api/',
		// assets: 'http://67.207.158.222/public/'
		// server: 'http://dropbox.local/colsubsidio/server/colsubsidio/public/api/',
		// assets: 'http://dropbox.local/colsubsidio/server/colsubsidio/public/'
		// server: 'http://creditocolsubsidio.com/public/api/',
		// assets: 'http://creditocolsubsidio.com/public/'
		//server: 'http://199.168.188.18/~colsubsidio/public/api/',
		//assets: 'http://199.168.188.18/~colsubsidio/public/',
		server: 'http://last.creditocolsubsidio.com/public/api/',
		assets: 'http://last.creditocolsubsidio.com/public/',
	};

	/*
	|-----------------------------------------------------------------------------
	| HANDLEBARS HELPER
	|-----------------------------------------------------------------------------
	*/

	/*
	* this helper compares to values:
		{{#ifCond v1 v2 '=='}}
				we got true
		{{else}}
				we got no false
		{{/ifCond}}
	*/
	Handlebars.registerHelper('ifCond', function(v1, v2, compare, options) {
		if(v1 === v2 & compare == '===') {
			return options.fn(this);
		}
		if(v1 == v2 & compare == '==') {
			return options.fn(this);
		}
		if(v1 >= v2 & compare == '>=') {
			return options.fn(this);
		}
		if(v1 <= v2 & compare == '<=') {
			return options.fn(this);
		}
		if(v1 > v2 & compare == '>') {
			return options.fn(this);
		}
		if(v1 < v2 & compare == '<') {
			return options.fn(this);
		}
		return options.inverse(this);
	});

	Handlebars.registerHelper('substring', function(str, to) {
		var dots = '';
		if(str.length > to){
			dots = '...';
		}
		return str.substring(0,to)+dots;
	});

	Handlebars.registerHelper('assetsPath', function() {
		return CONFIG.assets;
	});

	return CONFIG;
});
