/*
|-----------------------------------------------------------------------------
| COMMMENTS COLLECTION
|-----------------------------------------------------------------------------
*/

define(function (require) {
	/*Define require deps*/
  var $ = require('af'),
      ui = require('ui'),
      Backbone = require('backbone'),
      Handlebars = require('handlebars');


	/*
	|-----------------------------------------------------------------------------
	| THE MODEL
	|-----------------------------------------------------------------------------
	*/
	var model = Backbone.Model.extend({
			// url: Config.server+'activities/byId'
	});



	/*
	|-----------------------------------------------------------------------------
	| THE COLLECTION
	|-----------------------------------------------------------------------------
	*/
	var collection = Backbone.Collection.extend({
		// url:Config.server+'player/participations',
		model:model,
		initialize: function(){
			this.on('add', this.onAdd, this);
			this.on('remove', this.onRemove, this);
			this.getFromLocal();
		},
		events: {
			'add':'onAdd'
		},
		getFromLocal :function(){
			var favs = localStorage.getItem("favs");
			this.reset(JSON.parse(favs));
		},
		onAdd: function(){
			localStorage.setItem("favs", JSON.stringify(this.toJSON()));
			//navigator.notification.alert('Este item ha sido agregado a tus favoritos.');
		},
		onRemove: function(){
			localStorage.setItem("favs", JSON.stringify(this.toJSON()));
		}

	});



	/*
	|-----------------------------------------------------------------------------
	| BACKBONE PAIR (Model + Collection)
	|-----------------------------------------------------------------------------
	*/

	var backbonePair = {
		Model : model,
		Collection : collection
	};



	return backbonePair;



});
