define(function (require) {
	/*Define require deps*/
  var $ = require('af'),
    ui = require('ui'),
    Handlebars = require('handlebars'),
    Config = require('config');


		/*
		|-----------------------------------------------------------------------------
		| Serialize Object
		|-----------------------------------------------------------------------------
		*/
		// $.fn.serializeObject = function()
		// {
		// 	var o = {};
		// 	var a = this.serializeArray();
		// 	$.each(a, function() {
		// 		if (o[this.name] !== undefined) {
		// 			if (!o[this.name].push) {
		// 				o[this.name] = [o[this.name]];
		// 			}
		// 			o[this.name].push(this.value || '');
		// 		} else {
		// 			o[this.name] = this.value || '';
		// 		}
		// 	});
		// 	return o;
		// };

		// $.fn.serializeArray = function (){return this.map(function(){return this.elements?f.makeArray(this.elements):this}).filter(function(){return this.name&&!this.disabled&&(this.checked||bO.test(this.nodeName)||bI.test(this.type))}).map(function(a,b){var c=f(this).val();return c==null?null:f.isArray(c)?f.map(c,function(a,c){return{name:b.name,value:a.replace(bF,"\r\n")}}):{name:b.name,value:c.replace(bF,"\r\n")}}).get()}

		window.ObjectDump = function(obj, name) {
		this.result = "[ " + name + " ]\n";
		this.indent = 0;

		this.dumpLayer = function(obj) {
		this.indent += 2;

		for (var i in obj) {
		if(typeof(obj[i]) == "object") {
		this.result += "\n" +
		"              ".substring(0,this.indent) + i +
		": " + "\n";
		this.dumpLayer(obj[i]);
		} else {
		this.result +=
		"              ".substring(0,this.indent) + i +
		": " + obj[i] + "\n";
		}
		}

		this.indent -= 2;
		};

		this.showResult = function() {
		// var pre = document.createElement('pre');
		// pre.innerHTML = this.result;
		//console.log(this.result);
		};

		this.dumpLayer(obj);
		this.showResult();
		};





		var util = (function () {
			var allMarkers=[];

			var saveToFavs = function(deal){

				if(App.favs.get(deal.id)){
					$('body').popup({
						title:"Oops",
						message:"Este item ya está en favoritos.",
						addCssClass:'noconectPop',
						cancelText:"Cerrar",
						cancelOnly:true,
						autoCloseDone:true,
						doneCallback:function(e){
							//console.log(e);
						}
					});
				}else{
					App.favs.add(deal);
				}
			},
			saveToFavsService = function(deal){

				if(App.favsServs.get(deal.id)){
					$('body').popup({
						title:"Oops",
						message:"Este item ya está en favoritos.",
						addCssClass:'noconectPop',
						cancelText:"Cerrar",
						cancelOnly:true,
						autoCloseDone:true,
						doneCallback:function(e){
							//console.log(e);
						}
					});
				}else{
					App.favsServs.add(deal);
				}
			},
			shareItem = function(item){
                var text = encodeURIComponent(Config.shareItemMsg+' '+item.toJSON().name);
                $.ajax({
                    url: Config.server+'agreement/'+item.id,
                    type:'GET',
                    success: function(data){
                        var obj = JSON.parse(data);
                        var url = encodeURIComponent('http://publico2.colsubsidio.com:8081/index.php?option=com_content&view=article&id='+obj.article_id+'&Itemid='+obj.item_id);
                        var urlFacebook = 'http://www.facebook.com/sharer.php?m2w&s=100&p[url]='+url+'&p[title]=Convenios%20Colsubsidio&p[summary]='+text;
                        var ref = window.open(urlFacebook, '_blank', 'location=yes');
                        ref.addEventListener('exit', function(event) { ref.close(); } );
                    }
                });
			},
            shareService = function(cat, item){
                var jsonServices = JSON.parse(stringJsonServices);
                for(var i=0; i<Object.keys(jsonServices).length; i++){
                    if(jsonServices[i]["id"] == item){
                        var text = encodeURIComponent(Config.shareItemMsg+' '+jsonServices[i]["name"]);
                        for(var j=0; j<Object.keys(jsonServices[i]["providers"]).length; j++){
                            if(jsonServices[i]["providers"][j]["id"] == cat){
                                var itemId = jsonServices[i]["providers"][j]["item_id"];
                                var articleId = jsonServices[i]["providers"][j]["article_id"];
                                var url = encodeURIComponent('http://publico2.colsubsidio.com:8081/index.php?option=com_content&view=article&id='+articleId+'&Itemid='+itemId);
                                var urlFacebook = 'http://www.facebook.com/sharer.php?m2w&s=100&p[url]='+url+'&p[title]=Convenios%20Colsubsidio&p[summary]='+text;
                                var ref = window.open(urlFacebook, '_blank', 'location=yes');
                                ref.addEventListener('exit', function(event) { ref.close(); } );
                            }
                        }
                    }
                }
                
                //var text = encodeURIComponent(Config.shareItemMsg+' '+item.toJSON().name);
                /*$.ajax({
                    url: Config.server+'services',
                    type:'GET',
                    success: function(data){
                        alert(data);
                        var obj = JSON.parse(data);
                        for(var i=0; i<Object.keys(obj); i++){
                            
                        }
                        obj = obj[item];
                        //var url = encodeURIComponent('http://publico2.colsubsidio.com:8081/index.php?option=com_content&view=article&id='+obj.article_id+'&Itemid='+obj.item_id);
                        //var urlFacebook = 'http://www.facebook.com/sharer.php?m2w&s=100&p[url]='+url+'&p[title]=Convenios%20Colsubsidio&p[summary]='+text;
                        //var ref = window.open(urlFacebook, '_blank', 'location=yes');
                        //ref.addEventListener('exit', function(event) { ref.close(); } );
                    }
                });*/
			},
            //Antigua funcion shareService
			/*shareService = function(item){
				var text = encodeURIComponent(Config.shareServiceMsg+' '+item.name);
				var url = encodeURIComponent('http://publico2.colsubsidio.com:8081/index.php?option=com_content&view=article&id=47&Itemid=105');
				var urlFacebook = 'http://www.facebook.com/sharer.php?m2w&s=100&p[url]='+url+'&p[title]=Servicios%20Colsubsidio&p[summary]='+text;

				var ref = window.open(urlFacebook, '_blank', 'location=yes');
				ref.addEventListener('exit', function(event) { ref.close(); } );
			},*/
			noConnectionMessage =  function(){
				$.ui.hideMask(false);
				$('body').popup({
					title:"Oops",
					message:"Algo salió mal. Revisa si estas conectado a alguna red o vuelve a intentarlo. <br> Si esto continua pasando, dirgete al home.",
					addCssClass:'noconectPop',
					cancelText:"Reintentar",
					cancelCallback: function(){
						var currentHash = window.location.hash;
						window.location.hash = '#temp';
						$.ui.addContentDiv('#temp', '<span class="loadingInPanel">.....</span>');
						$.ui.loadDiv('#temp',false,false,'slide');
						$.ui.toggleNavMenu('false');
						setTimeout(function(){
							window.location.hash = currentHash;
						},400);
					},
					doneText:"Ir al home",
					doneCallback: function(){window.location.hash = '#home';},
					cancelOnly:false,
					// doneClass:'button',
					// cancelClass:'button',
					// onShow:function(){console.log('showing popup');}
					// autoCloseDone:true, //default is true will close the popup when done is clicked.
					// suppressTitle:false //Do not show the title if set to true
				});
			},
			initMap = function(){
				console.log('init map')
				var self =this;

				self.infowindow =  new google.maps.InfoWindow({
					content: ''
				});
				self.markerBounds = new google.maps.LatLngBounds();
				var mapOptions = {
		          // center: new google.maps.LatLng(-34.397, 150.644),
		          zoom: 13,
		          mapTypeId: google.maps.MapTypeId.ROADMAP,
		          mapTypeControl:false,
							streetViewControl: false
		        };
				self.map = new google.maps.Map(document.getElementById("map"), mapOptions);
				//self.markerManager = new MarkerManager(self.map)
				self.markerCluster = new MarkerClusterer(self.map)
				self.directionsDisplay = new google.maps.DirectionsRenderer();
				self.directionsService = new google.maps.DirectionsService();
				self.directionsDisplay.setMap(this.map);

				if(navigator.geolocation) {
					navigator.geolocation.getCurrentPosition(function(position) {
					var pos = new google.maps.LatLng(position.coords.latitude,position.coords.longitude);
					self.userPosition = pos;
                    var image = {
                        url: 'img/pin_green.png',
                        scaledSize: new google.maps.Size(30, 50)
                    };
					marker = new google.maps.Marker({
						map:self.map,
						animation: google.maps.Animation.DROP,
						position: pos,
                        icon: image
					});
					self.markerBounds.extend(pos);
					self.map.setCenter(pos);
					self.gotGeolocation = true;
					//self.putStoresMarkers(deals);
					}, function() {
						alert('No podemos encontrar tu ubicación');
						self.gotGeolocation = false;
						//self.putStoresMarkers(deals);
					});
				}
		},
		clearMapStore= function(){
			var self=this;
			self.markerCluster.clearMarkers();
			self.allMarkers=[]
			self.map.setCenter(self.userPosition);
			console.log("clear maps");
		},
        clearDirections = function(){
            this.directionsDisplay.setMap(null);
        },
		putStoresMarkers = function(deals){
			var self=this;
			self.deal = deals;
			self.clearMapStore();
			var length = deals.length;
			if(!self.gotGeolocation){
				var branch = deals[0][0];
				var pos = new google.maps.LatLng(branch.lat,branch.lng);
				self.map.setCenter(pos);
			}
			for (var i = 0; i < deals.length; i++) {
				if(deals[i].length > 0){
					for (var j = 0; j < deals[i].length; j++) {
						self.putStoresMarkersWait(deals[i][j], i, length);
					}
				}else{
					self.putStoresMarkersWait(deals[i], i, length);
				}
			}

		},
		putStoresMarkersWait = function(branch, wait, length){

			var self = this;
			var image = {
				url: 'img/pin.png',
				scaledSize: new google.maps.Size(30, 50)
			};
			setTimeout(function(){
				var lat = branch.lat;
				var lng = branch.lng;
				var pos = new google.maps.LatLng(lat,lng);
				self.markerBounds.extend(pos);
				marker = new google.maps.Marker({
					// map:self.map,
					//animation: google.maps.Animation.DROP,
					position: pos,
					icon: image,
					id:branch.id
				});
				self.allMarkers.push(marker);
				self.addMarkerListener(marker);
				if(wait == length-1){
					//self.markerCluster = new MarkerClusterer(self.map, self.allMarkers);
					self.markerCluster.addMarkers(self.allMarkers);
				}
			},1*wait);
		},
		addMarkerListener = function(marker){
			var self=this;
			google.maps.event.addListener(marker, 'click', function() {
				if(self.gotGeolocation){
					self.calcRoute(marker.getPosition());
				}

				var markerInfo ="";

				for(var deal in self.deal){
					var seleres = self.deal[deal];
					var done=false;
					if(seleres.length > 0){
						for(seler in seleres){
							if(seleres[seler].id == marker.id){
								markerInfo = seleres[seler];
								done = true;
								break;
							}
						}
						if(done)
							break;
					}else{
						if(seleres.id == marker.id){
							markerInfo = seleres;
							break;
						}
					}
				}

		        if(markerInfo != ""){
			        window.mrki = markerInfo;
			        var str = '<h3>'+markerInfo.name+'</h3>'+
											'<p>'+markerInfo.address+'</p>'+
											'<p>'+markerInfo.telephone+'</p>';
			        self.infowindow.setContent(str);
			        self.infowindow.open(self.map, this);
		    	}
			});
		},
		calcRoute = function(to) {
			var self = this;
			var request = {
				origin:self.userPosition,
				destination:to,
				travelMode: google.maps.TravelMode.DRIVING
			};
			self.directionsService.route(request, function(result, status) {
				if (status == google.maps.DirectionsStatus.OK) {
                    self.directionsDisplay.setMap(self.map);
					self.directionsDisplay.setDirections(result);
				}
			});
		}
			return{
				saveToFavs:saveToFavs,
				saveToFavsService:saveToFavsService,
				shareItem:shareItem,
				shareService:shareService,
				noConnectionMessage:noConnectionMessage,
				initMap:initMap,
				putStoresMarkers:putStoresMarkers,
				calcRoute:calcRoute,
				addMarkerListener:addMarkerListener,
				putStoresMarkersWait:putStoresMarkersWait,
				putStoresMarkers:putStoresMarkers,
				allMarkers:allMarkers,
				clearMapStore:clearMapStore,
                clearDirections:clearDirections
			};
		})();

	return util;
});
